#1  
Old 4th October 2009, 02:43 AM
=?ISO-8859-1?Q?Cl=E9ment_Doss?=
 
Posts: n/a
Default Can't compile V3.01 projects under 2010

Hi,

I just noticed that my installation of NexusDB V3 has some issues.
I removed and re-installed V3 for 2010 but still the problems persists.
I removed completely V2 any references to it.
I try to set some path but still can't figure that one out.
It seems that Delphi isn't looking for any of those files.

When opening a Unit, in the uses section all the units that belongs to
NexusDB are underlined with a red line. The corresponding error is
"Cannot resolve unit name 'nxdb' at line 7 (7:42)"
There's an error for each unit (nxdb, nxsrSqlEngineBase, nxsqlEngine,
nxseAutoComponent, nxllComponent, nxsdServerEngine, nxsrServerEngine )


Is there a workaround, or should I wait for 3.02?
I posted in binaries the images.

TIA,
Clément
  #2  
Old 4th October 2009, 05:38 AM
Joachim Uersfeld
 
Posts: n/a
Default Re: Can't compile V3.01 projects under 2010

> Is there a workaround, or should I wait for 3.02?

I would look if the path to this units is set correctly.
  #3  
Old 4th October 2009, 06:33 AM
=?ISO-8859-1?Q?Cl=E9ment_Doss?=
 
Posts: n/a
Default Re: Can't compile V3.01 projects under 2010

Hi Joachim

> I would look if the path to this units is set correctly.


They seem fine to me.

Tools->Options->Delphi Options->Library - Win32
I place the correct path in "Library path","Browsing path" and "Debug
DCU Path".

This is the only place I found where there's a path definition.

Is there anywhere else?

TIA,
Clément

  #4  
Old 4th October 2009, 11:48 AM
=?ISO-8859-1?Q?Cl=E9ment_Doss?=
 
Posts: n/a
Default Re: Can't compile V3.01 projects under 2010


> Is Delphi 2010 using the correct bpl's ?


I think so. If I call Components-> Install Packages I can see
NexusDB 3.01 - Designtime - VCL140.
And the path is correct : NexusDB3\Delphi14\NexusDB301dv140.bpl.
If I uncheck this package then the nexus Palette disapears along with
the components.

What I find strange is that the other packages show at the splash
screen. NexusDB Doesn't.

I found in other forum that DevExpress had the same problem with D2010.
It seems that installation procedures have changed.
What I don't understand is why the DCUs are not found

Clément
  #5  
Old 4th October 2009, 12:00 PM
Joachim Uersfeld
 
Posts: n/a
Default Re: Can't compile V3.01 projects under 2010

Is Delphi 2010 using the correct bpl's ?

Clément Doss wrote:

> I place the correct path in "Library path","Browsing path" and "Debug
> DCU Path".


  #6  
Old 4th October 2009, 04:15 PM
Eivind Bakkestuen [NDD]
 
Posts: n/a
Default Re: Can't compile V3.01 projects under 2010

> What I find strange is that the other packages show at the splash
> screen. NexusDB Doesn't.


If its the very last package to load, the splash screen closes before
you have time to see it.

> I found in other forum that DevExpress had the same problem with
> D2010. It seems that installation procedures have changed. What I
> don't understand is why the DCUs are not found


I dont understand that one either (didnt see this during 3.01 install
testing). Lets see if 3.02 is any better.

--
Eivind Bakkestuen [NDD]
Nexus Database Systems
  #7  
Old 5th October 2009, 01:25 AM
Barry
 
Posts: n/a
Default Re: Can't compile V3.01 projects under 2010

Clément Doss wrote:

> What I find strange is that the other packages show at the splash
> screen. NexusDB Doesn't.


It shows fine for me (even has the "(D14)" at the end of the line).

> I found in other forum that DevExpress had the same problem with
> D2010.


DevExpress also shows properly in the splash screen (using current
build 46).

Something else must be going on in your system.
  #8  
Old 5th October 2009, 01:28 AM
=?ISO-8859-1?Q?Cl=E9ment_Doss?=
 
Posts: n/a
Default Re: Can't compile V3.01 projects under 2010

Hi Barry
>
>> I found in other forum that DevExpress had the same problem with
>> D2010.

>
> DevExpress also shows properly in the splash screen (using current
> build 46).
>


One of their build has this issue. They fixed it a while ago. I just
wanted to point that out.

My system is pretty old. I Installed WinXP when it came out, and I never
reformat again. I used D3, D5, D7, D2005 (which I uninstalled ), and
now D2010. Other than that is working :-)

In case your curious it's a Dual Pentium Xenon HT 3.2Ghz, 4Gb RAM ( 266
FSB ), and 2x 36Gb SCSI-320 10k rpm.

I feel old! LOL

Clément

  #9  
Old 5th October 2009, 05:44 AM
=?ISO-8859-1?Q?Cl=E9ment_Doss?=
 
Posts: n/a
Default Re: Can't compile V3.01 projects under 2010

Hi Eivind

I uninstalled the other components from D2010. I reinstalled only
NexusDB V3. Still the same problem persists.

I installed Nexus V3 BPL on $(BDSCOMMONDIR)\BPL folder but still no luck.

>
> I dont understand that one either (didnt see this during 3.01 install
> testing). Lets see if 3.02 is any better.
>


I guess I will have to wait 3.02

Clément


Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Visual Studio 2010 Franz-Leo Chomse [NDX] nexusdb.public.discussions 0 13th April 2010 05:37 AM
Office 2010 Beta 64 Bit Franz-Leo Chomse [NDX] nexusdb.public.discussions 0 20th November 2009 08:05 AM
best way to update once EM and server projects are modified? Lauchlan M nexusdb.public.support 1 8th April 2004 07:42 AM
Re: Strategical thougts about new projects David Marcus [NDX] nexusdb.public.discussions 1 3rd April 2004 06:53 PM
Re: Strategical thougts about new projects Martin Brekhof nexusdb.public.discussions 0 30th March 2004 05:19 AM


All times are GMT +11. The time now is 07:42 PM.


Powered by vBulletin® Version 3.6.8
Copyright ©2000 - 2020, Jelsoft Enterprises Ltd.